var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { createDetailProperty } from './webdav.utils';
export function getCreatorByPath(path) {
    return __awaiter(this, void 0, void 0, function* () {
        const self = this;
        let result = null;
        try {
            const folderProperties = yield self.getPathInfo(path, {
                details: true,
                properties: [
                    createDetailProperty('oc', 'fileid')
                ]
            });
            const fileId = folderProperties.data.props.fileid;
            result = yield self.getCreatorByFileId(fileId);
        }
        catch (_a) {
            result = Promise.reject(new Error(`Unable to find the creator for '${path}'`));
        }
        return result;
    });
}
export function getCreatorByFileId(fileId) {
    return __awaiter(this, void 0, void 0, function* () {
        const self = this;
        let result = null;
        try {
            const activities = yield self.activities.get(fileId, 'asc', 1);
            const fileCreatedActivity = activities
                .find(activity => activity.type === 'file_created');
            result = fileCreatedActivity.user;
        }
        catch (_a) {
            result = Promise.reject(new Error(`Unable to find the creator for fileId '${fileId}'`));
        }
        return result;
    });
}
